* * *

Author Topic: [SOLVED] Error while linking on Linux Mint 18.2 with fpcupdeluxe, 1.8 RC5, BGRA  (Read 295 times)

tudi_x

  • Sr. Member
  • ****
  • Posts: 294
hi All,
i am having an error while linking on Linux Mint 18.2 64b (on Proxmox) as per below flow:

1. sudo aptitude install make binutils build-essential gdb subversion zip unzip libx11-dev libgtk2.0-dev libgdk-pixbuf2.0-dev libcairo2-dev libpango1.0-dev
2. run fpcupdeluxe-x86_64-linux
3. select FPC version 3.0.4 and Lazarus 1.8 fixes
4. fpcupdeluxe finishes with no issues
5. i install fat synapse - rebuild of Lazarus 1.8 RC5 works
6. from online package manager i select BGRABitmap and Controls
7. it compiles but i have error: lazarus.pp(161,1) Error: Error while linking.

please advise.
thank you
« Last Edit: October 15, 2017, 04:22:01 pm by tudi_x »

tudi_x

  • Sr. Member
  • ****
  • Posts: 294
Re: Error while linking on Linux Mint 18.2 with fpcupdeluxe and 1.8 RC5
« Reply #1 on: October 13, 2017, 06:51:51 pm »
looks like i was missing the below:
sudo apt-get update
sudo apt-get install libxtst-dev
sudo apt-get install libgl1-mesa-dev

after the below the linking error does not appear.

GetMem

  • Hero Member
  • *****
  • Posts: 2326
Re: Error while linking on Linux Mint 18.2 with fpcupdeluxe and 1.8 RC5
« Reply #2 on: October 13, 2017, 07:15:50 pm »
@tudi_x
You got a big like from me! I rarely use linux, but this particular issue has come up too many times before, without actually someone give a real solution. It was known that BGRAControls trigger the linking issue, but the solution eluded many Lazarus user. Please make a wiki entry(this is a must), otherwise we risk to make the same mistake again.

tudi_x

  • Sr. Member
  • ****
  • Posts: 294
Re: Error while linking on Linux Mint 18.2 with fpcupdeluxe and 1.8 RC5
« Reply #3 on: October 15, 2017, 02:53:50 pm »
wiki page was created at http://wiki.lazarus.freepascal.org/Linux.

it has link from Linux word in http://wiki.lazarus.freepascal.org/BGRAControls#Install install section.
maybe somebody can review it as it is my first wiki.
thank you

GetMem

  • Hero Member
  • *****
  • Posts: 2326
Re: Error while linking on Linux Mint 18.2 with fpcupdeluxe and 1.8 RC5
« Reply #4 on: October 15, 2017, 03:21:59 pm »
Quote
wiki page was created at http://wiki.lazarus.freepascal.org/Linux.
It looks good. Thank you.

 

Recent

Get Lazarus at SourceForge.net. Fast, secure and Free Open Source software downloads Open Hub project report for Lazarus